Safe browser fails to build under node 9.3


#1

Hello, i am new here,
just tried building SAFE browser and failed, i believe this is the relevant error line (among some other deprecated warnings about ForceSet):

../src/ffi.cc:123:167: error: no matching function for call to ‘v8::Object::ForceSet(v8::Local<v8::String>, Nan::imp::FactoryBase<v8::Uint32>::return_t, v8::PropertyAttribute)’
   target->ForceSet(Nan::New<String>("FFI_ARG_SIZE").ToLocalChecked(), Nan::New<Uint32>((uint32_t)sizeof(ffi_arg)), static_cast<PropertyAttribute>(ReadOnly|DontDelete));

Downgrading node to lower version via
nvm install v8.9.1
helped.
Just thought to let you know.


#2

Thanks a lot @grynca for the heads up!.
We are supporting node v8.x.x for the moment, so thanks for this as we’ll face it whenever we decide to move to v9 (although this is likely to not happen with beaker Browser but on the new custom Peruse browser :wink: )


#3

This topic was automatically closed after 60 days. New replies are no longer allowed.